<?php

/**
 * @file
 * Administration page callbacks for the Indeed module.
 */

/**
 * Form builder. Configure Indeed search.
 */
function smsmsg91_admin_settings() {

  $form['smsmsg91_authKey'] = array(
    '#type' => 'textfield',
    '#title' => t('MSG91 Authentication ID'),
    '#default_value' => variable_get('smsmsg91_authKey', 'Your Authentication Key'),
    '#required' => TRUE,
  );

  $form['smsmsg91_senderID'] = array(
    '#type' => 'textfield',
    '#title' => t('MSG91 Sender ID'),
    '#default_value' => variable_get('smsmsg91_senderID', 'HP-MSG91'),
    '#maxlength' => 6,
    '#description' => 'SMS received will have this Sender ID',
    '#required' => TRUE,
  );

  $form['smsmsg91_route'] = array(
    '#type' => 'textfield',
    '#title' => t('MSG91 Route'),
    '#default_value' => variable_get('smsmsg91_route', '4'),
    '#description' => 'Use number from 1-6 route for Transactional,Promotional SMS',
    '#required' => TRUE,
  );

  $form['#validate'][] = 'smsmsg91_admin_form_validate';
  $form['#submit'][] = 'smsmsg91_admin_settings_submit';

  return system_settings_form($form);

}

/**
 * Validate Indeed settings submission.
 */
function smsmsg91_admin_form_validate($form, &$form_state) {
  $route = $form_state['values']['smsmsg91_route'];
  $auth_key = $form_state['values']['smsmsg91_authKey'];
  if ($route < 1 || $route > 6) {
    form_set_error('smsmsg91_route', t('Route: Please enter number between 1 and 6.'));
  }

  $msg91_auth_url = "https://control.msg91.com/api/validate.php?authkey=" . $auth_key;
  $validate_response = drupal_http_request($msg91_auth_url);

  if ($validate_response->data != 'Valid') {
    form_set_error('smsmsg91_authKey', t('Auth key you have entered doesnot validate.'));
  }

}

/**
 * Returns Settings.
 */
function smsmsg91_admin_settings_submit() {

  /*	$authKey = $form_state['values']['smsmsg91_authKey'];
  $senderID = $form_state['values']['smsmsg91_senderID'];
  $route = $form_state['values']['smsmsg91_route'];
  varible_set('smsmsg91_authKey',$authKey);
  variable_set('smsmsg91_senderID',$senderID);
  variable_set('smsmsg91_route',$route);  */
  // @codingStandardsIgnoreLine
  return;
}
